## camel-enums

camel-enums

## Types and Values

enum | CamelAuthenticationResult
enum | CamelFolderFlags
#define | CAMEL_FOLDER_TYPE_BIT
enum | CamelFolderInfoFlags
#define | CAMEL_FOLDER_TYPE_MASK
enum | CamelMimeFilterToHTMLFlags
#define | CAMEL_STORE_INFO_FOLDER_TYPE_BIT
enum | CamelStoreInfoFlags
#define | CAMEL_STORE_INFO_FOLDER_TYPE_MASK
enum | CamelFetchHeadersType
enum | CamelJunkStatus
enum | CamelMimeFilterBasicType
enum | CamelMimeFilterCRLFDirection
enum | CamelMimeFilterCRLFMode
enum | CamelMimeFilterGZipMode
enum | CamelMimeFilterYencDirection
enum | CamelNetworkSecurityMethod
enum | CamelProviderConfType
enum | CamelProviderFlags
enum | CamelProviderType
enum | CamelSaslAnonTraceType
enum | CamelRecipientCertificateFlags
enum | CamelServiceConnectionStatus
enum | CamelSessionAlertType
enum | CamelSortType
enum | CamelStoreFlags
enum | CamelStoreGetFolderInfoFlags
enum | CamelStorePermissionFlags
enum | CamelTransferEncoding
enum | CamelThreeState
enum | CamelCompareType
enum | CamelTimeUnit
enum | CamelGpgTrust

## Description

## Functions

## Types and Values

### enum CamelAuthenticationResult

Authentication result codes used by CamelService.

#### Members

CAMEL_AUTHENTICATION_ERROR | An error occurred while authenticating. |
CAMEL_AUTHENTICATION_ACCEPTED | Server accepted our authentication attempt. |
CAMEL_AUTHENTICATION_REJECTED | Server rejected our authentication attempt. |

Since: 3.4

### enum CamelFolderFlags

#### Members

CAMEL_FOLDER_HAS_SUMMARY_CAPABILITY |  |
CAMEL_FOLDER_FILTER_RECENT |  |
CAMEL_FOLDER_HAS_BEEN_DELETED |  |
CAMEL_FOLDER_IS_TRASH |  |
CAMEL_FOLDER_IS_JUNK |  |
CAMEL_FOLDER_FILTER_JUNK |  |

### CAMEL_FOLDER_TYPE_BIT

    #define CAMEL_FOLDER_TYPE_BIT (10)

### enum CamelFolderInfoFlags

These flags are abstractions. It's up to the CamelProvider to give them suitable interpretations. Use CAMEL_FOLDER_TYPE_MASK to isolate the folder's type.

#### Members

CAMEL_FOLDER_NOSELECT | The folder cannot contain messages. |
CAMEL_FOLDER_NOINFERIORS | The folder cannot have child folders. |
CAMEL_FOLDER_CHILDREN | The folder has children (not yet fully implemented). |
CAMEL_FOLDER_NOCHILDREN | The folder does not have children (not yet fully implemented). |
CAMEL_FOLDER_SUBSCRIBED | The folder is subscribed. |
CAMEL_FOLDER_VIRTUAL | The folder is virtual. Messages cannot be copied or moved to virtual folders since they are only queries of other folders. |
CAMEL_FOLDER_SYSTEM | The folder is a built-in "system" folder. System folders cannot be renamed or deleted. |
CAMEL_FOLDER_VTRASH | The folder is a virtual trash folder. It cannot be copied to, and can only be moved to if in an existing folder. |
CAMEL_FOLDER_SHARED_TO_ME | A folder being shared by someone else. |
CAMEL_FOLDER_SHARED_BY_ME | A folder being shared by the user. |
CAMEL_FOLDER_TYPE_NORMAL | The folder is a normal folder. |
CAMEL_FOLDER_TYPE_INBOX | The folder is an inbox folder. |
CAMEL_FOLDER_TYPE_OUTBOX | The folder is an outbox folder. |
CAMEL_FOLDER_TYPE_TRASH | The folder shows deleted messages. |
CAMEL_FOLDER_TYPE_JUNK | The folder shows junk messages. |
CAMEL_FOLDER_TYPE_SENT | The folder shows sent messages. |
CAMEL_FOLDER_TYPE_CONTACTS | The folder contains contacts, instead of mail messages. |
CAMEL_FOLDER_TYPE_EVENTS | The folder contains calendar events, instead of mail messages. |
CAMEL_FOLDER_TYPE_MEMOS | The folder contains memos, instead of mail messages. |
CAMEL_FOLDER_TYPE_TASKS | The folder contains tasks, instead of mail messages. |
CAMEL_FOLDER_TYPE_ALL | This folder contains all the messages. Used by RFC 6154. |
CAMEL_FOLDER_TYPE_ARCHIVE | This folder contains archived messages. Used by RFC 6154. |
CAMEL_FOLDER_TYPE_DRAFTS | This folder contains drafts. Used by RFC 6154. |
CAMEL_FOLDER_READONLY | The folder is read only. |
CAMEL_FOLDER_WRITEONLY | The folder is write only. |
CAMEL_FOLDER_FLAGGED | This folder contains flagged messages. Some clients call this "starred". Used by RFC 6154. |
CAMEL_FOLDER_FLAGS_LAST | The last define bit of the flags. The CamelProvider can use this and upper bits to store its own flags. |

### CAMEL_FOLDER_TYPE_MASK

    #define CAMEL_FOLDER_TYPE_MASK (0x3F << CAMEL_FOLDER_TYPE_BIT)

### enum CamelMimeFilterToHTMLFlags

Flags for converting text/plain content into text/html.

#### Members

CAMEL_MIME_FILTER_TOHTML_PRE | Enclose the content in <pre> ... </pre> tags. Cannot be used together with `CAMEL_MIME_FILTER_TOHTML_DIV`. |
CAMEL_MIME_FILTER_TOHTML_CONVERT_NL | Convert newline characters to <br> tags. |
CAMEL_MIME_FILTER_TOHTML_CONVERT_SPACES | Convert space and tab characters to a non-breaking space (&nbsp;). |
CAMEL_MIME_FILTER_TOHTML_CONVERT_URLS | Convert recognized URLs to <a href="foo">foo</a>. |
CAMEL_MIME_FILTER_TOHTML_MARK_CITATION | Color quoted lines (lines beginning with '>'). |
CAMEL_MIME_FILTER_TOHTML_CONVERT_ADDRESSES | Convert mailto: URLs to <a href="mailto:foo">mailto:foo</a>. |
CAMEL_MIME_FILTER_TOHTML_ESCAPE_8BIT | Convert 8-bit characters to escaped hexdecimal (&nnn;). |
CAMEL_MIME_FILTER_TOHTML_CITE | Prefix each line with "> ". |
CAMEL_MIME_FILTER_TOHTML_PRESERVE_8BIT | This flag is not used by CamelMimeFilterToHTML. |
CAMEL_MIME_FILTER_TOHTML_FORMAT_FLOWED | This flag is not used by CamelMimeFilterToHTML. |
CAMEL_MIME_FILTER_TOHTML_QUOTE_CITATION | Group lines beginning with one or more '>' characters in <blockquote type="cite"> ... </blockquote> tags. The tags are nested according to the number of '>' characters. |
CAMEL_MIME_FILTER_TOHTML_DIV | Enclose the paragraphs in <div> ... </div> tags. Cannot be used together with `CAMEL_MIME_FILTER_TOHTML_PRE`. |
CAMEL_MIME_FILTER_TOHTML_PRESERVE_TABS | Set in combination with `CAMEL_MIME_FILTER_TOHTML_CONVERT_SPACES`, to keep tab characters. If not set, converts them into the spaces. |

### CAMEL_STORE_INFO_FOLDER_TYPE_BIT

    #define CAMEL_STORE_INFO_FOLDER_TYPE_BIT (10)

### enum CamelStoreInfoFlags

#### Members

CAMEL_STORE_INFO_FOLDER_NOSELECT |  |
CAMEL_STORE_INFO_FOLDER_NOINFERIORS |  |
CAMEL_STORE_INFO_FOLDER_CHILDREN |  |
CAMEL_STORE_INFO_FOLDER_NOCHILDREN |  |
CAMEL_STORE_INFO_FOLDER_SUBSCRIBED |  |
CAMEL_STORE_INFO_FOLDER_VIRTUAL |  |
CAMEL_STORE_INFO_FOLDER_SYSTEM |  |
CAMEL_STORE_INFO_FOLDER_VTRASH |  |
CAMEL_STORE_INFO_FOLDER_SHARED_TO_ME |  |
CAMEL_STORE_INFO_FOLDER_SHARED_BY_ME |  |
CAMEL_STORE_INFO_FOLDER_TYPE_NORMAL |  |
CAMEL_STORE_INFO_FOLDER_TYPE_INBOX |  |
CAMEL_STORE_INFO_FOLDER_TYPE_OUTBOX |  |
CAMEL_STORE_INFO_FOLDER_TYPE_TRASH |  |
CAMEL_STORE_INFO_FOLDER_TYPE_JUNK |  |
CAMEL_STORE_INFO_FOLDER_TYPE_SENT |  |
CAMEL_STORE_INFO_FOLDER_TYPE_CONTACTS |  |
CAMEL_STORE_INFO_FOLDER_TYPE_EVENTS |  |
CAMEL_STORE_INFO_FOLDER_TYPE_MEMOS |  |
CAMEL_STORE_INFO_FOLDER_TYPE_TASKS |  |
CAMEL_STORE_INFO_FOLDER_TYPE_ALL |  |
CAMEL_STORE_INFO_FOLDER_TYPE_ARCHIVE |  |
CAMEL_STORE_INFO_FOLDER_TYPE_DRAFTS |  |
CAMEL_STORE_INFO_FOLDER_READONLY |  |
CAMEL_STORE_INFO_FOLDER_WRITEONLY |  |
CAMEL_STORE_INFO_FOLDER_FLAGGED |  |
CAMEL_STORE_INFO_FOLDER_LAST |  |

### CAMEL_STORE_INFO_FOLDER_TYPE_MASK

    #define CAMEL_STORE_INFO_FOLDER_TYPE_MASK  (0x3F << CAMEL_STORE_INFO_FOLDER_TYPE_BIT)

### enum CamelFetchHeadersType

Describes what headers to fetch when downloading message summaries.

#### Members

CAMEL_FETCH_HEADERS_BASIC | Fetch only basic headers (Date, From, To, Subject, etc.). |
CAMEL_FETCH_HEADERS_BASIC_AND_MAILING_LIST | Fetch all basic headers and mailing list headers. |
CAMEL_FETCH_HEADERS_ALL | Fetch all available message headers. |

Since: 3.2

### enum CamelJunkStatus

These are result codes used when passing messages through a junk filter.

#### Members

CAMEL_JUNK_STATUS_ERROR | An error occurred while invoking the junk filter. |
CAMEL_JUNK_STATUS_INCONCLUSIVE | The junk filter could not determine whether the message is junk. |
CAMEL_JUNK_STATUS_MESSAGE_IS_JUNK | The junk filter believes the message is junk. |
CAMEL_JUNK_STATUS_MESSAGE_IS_NOT_JUNK | The junk filter believes the message is not junk. |

### enum CamelMimeFilterBasicType

#### Members

CAMEL_MIME_FILTER_BASIC_INVALID |  |
CAMEL_MIME_FILTER_BASIC_BASE64_ENC |  |
CAMEL_MIME_FILTER_BASIC_BASE64_DEC |  |
CAMEL_MIME_FILTER_BASIC_QP_ENC |  |
CAMEL_MIME_FILTER_BASIC_QP_DEC |  |
CAMEL_MIME_FILTER_BASIC_UU_ENC |  |
CAMEL_MIME_FILTER_BASIC_UU_DEC |  |

### enum CamelMimeFilterCRLFDirection

#### Members

CAMEL_MIME_FILTER_CRLF_ENCODE |  |
CAMEL_MIME_FILTER_CRLF_DECODE |  |

### enum CamelMimeFilterCRLFMode

#### Members

CAMEL_MIME_FILTER_CRLF_MODE_CRLF_DOTS |  |
CAMEL_MIME_FILTER_CRLF_MODE_CRLF_ONLY |  |

### enum CamelMimeFilterGZipMode

#### Members

CAMEL_MIME_FILTER_GZIP_MODE_ZIP |  |
CAMEL_MIME_FILTER_GZIP_MODE_UNZIP |  |

### enum CamelMimeFilterYencDirection

#### Members

CAMEL_MIME_FILTER_YENC_DIRECTION_ENCODE |  |
CAMEL_MIME_FILTER_YENC_DIRECTION_DECODE |  |

### enum CamelNetworkSecurityMethod

Methods for establishing an encrypted (or unencrypted) network connection.

#### Members

CAMEL_NETWORK_SECURITY_METHOD_NONE | Use an unencrypted network connection. |
CAMEL_NETWORK_SECURITY_METHOD_SSL_ON_ALTERNATE_PORT | Use SSL by connecting to an alternate port number. |
CAMEL_NETWORK_SECURITY_METHOD_STARTTLS_ON_STANDARD_PORT | Use SSL or TLS by connecting to the standard port and invoking STARTTLS before authenticating. This is the recommended method. |

Since: 3.2

### enum CamelProviderConfType

#### Members

CAMEL_PROVIDER_CONF_END |  |
CAMEL_PROVIDER_CONF_SECTION_START |  |
CAMEL_PROVIDER_CONF_SECTION_END |  |
CAMEL_PROVIDER_CONF_CHECKBOX |  |
CAMEL_PROVIDER_CONF_CHECKSPIN |  |
CAMEL_PROVIDER_CONF_ENTRY |  |
CAMEL_PROVIDER_CONF_LABEL |  |
CAMEL_PROVIDER_CONF_HIDDEN |  |
CAMEL_PROVIDER_CONF_OPTIONS |  |
CAMEL_PROVIDER_CONF_PLACEHOLDER |  |
CAMEL_PROVIDER_CONF_ADVANCED_SECTION_START |  |

### enum CamelProviderFlags

#### Members

CAMEL_PROVIDER_IS_REMOTE | Provider works with remote data. |
CAMEL_PROVIDER_IS_LOCAL | Provider can be used as a backend for local folder tree folders. (Not just the opposite of CAMEL_PROVIDER_IS_REMOTE.) |
CAMEL_PROVIDER_IS_EXTERNAL | Provider appears in the folder tree but is not created by the mail component. |
CAMEL_PROVIDER_IS_SOURCE | Mail arrives there, so it should be offered as an option in the mail config dialog. |
CAMEL_PROVIDER_IS_STORAGE | Mail is stored there. It will appear in the folder tree. |
CAMEL_PROVIDER_SUPPORTS_SSL | Provider supports SSL/TLS connections. |
CAMEL_PROVIDER_HAS_LICENSE | Provider configuration first needs the license to be accepted. (No longer used.) |
CAMEL_PROVIDER_DISABLE_SENT_FOLDER | Provider requests to not use the Sent folder when sending with it. |
CAMEL_PROVIDER_ALLOW_REAL_TRASH_FOLDER | Provider may use a real trash folder instead of a virtual folder. |
CAMEL_PROVIDER_ALLOW_REAL_JUNK_FOLDER | Provider may use a real junk folder instead of a virtual folder. |
CAMEL_PROVIDER_SUPPORTS_MOBILE_DEVICES | Download limited set of emails instead of operating on full cache. |
CAMEL_PROVIDER_SUPPORTS_BATCH_FETCH | Support to fetch messages in batch. |
CAMEL_PROVIDER_SUPPORTS_PURGE_MESSAGE_CACHE | Support to remove oldest downloaded messages to conserve space. |

### enum CamelProviderType

#### Members

CAMEL_PROVIDER_STORE |  |
CAMEL_PROVIDER_TRANSPORT |  |
CAMEL_NUM_PROVIDER_TYPES |  |

### enum CamelSaslAnonTraceType

#### Members

CAMEL_SASL_ANON_TRACE_EMAIL |  |
CAMEL_SASL_ANON_TRACE_OPAQUE |  |
CAMEL_SASL_ANON_TRACE_EMPTY |  |

### enum CamelRecipientCertificateFlags

Flags used to `camel_session_get_recipient_certificates_sync()` call.

#### Members

CAMEL_RECIPIENT_CERTIFICATE_SMIME | Retrieve S/MIME certificates; this cannot be used together with `CAMEL_RECIPIENT_CERTIFICATE_PGP` |
CAMEL_RECIPIENT_CERTIFICATE_PGP | Retrieve PGP keys; this cannot be used together with `CAMEL_RECIPIENT_CERTIFICATE_SMIME` . |

Since: 3.30

### enum CamelServiceConnectionStatus

Connection status returned by `camel_service_get_connection_status()`.

#### Members

CAMEL_SERVICE_DISCONNECTED | CamelService is disconnected from a remote server. |
CAMEL_SERVICE_CONNECTING | CamelService is connecting to a remote server. |
CAMEL_SERVICE_CONNECTED | CamelService is connected to a remote server. |
CAMEL_SERVICE_DISCONNECTING | CamelService is disconnecting from a remote server. |

Since: 3.6

### enum CamelSessionAlertType

#### Members

CAMEL_SESSION_ALERT_INFO |  |
CAMEL_SESSION_ALERT_WARNING |  |
CAMEL_SESSION_ALERT_ERROR |  |

### enum CamelSortType

Determines the direction of a sort.

#### Members

CAMEL_SORT_ASCENDING | Sorting is in ascending order. |
CAMEL_SORT_DESCENDING | Sorting is in descending order. |

Since: 3.2

### enum CamelStoreFlags

#### Members

CAMEL_STORE_VTRASH |  |
CAMEL_STORE_VJUNK |  |
CAMEL_STORE_PROXY |  |
CAMEL_STORE_IS_MIGRATING |  |
CAMEL_STORE_REAL_JUNK_FOLDER |  |
CAMEL_STORE_CAN_EDIT_FOLDERS |  |
CAMEL_STORE_USE_CACHE_DIR |  |
CAMEL_STORE_CAN_DELETE_FOLDERS_AT_ONCE |  |
CAMEL_STORE_SUPPORTS_INITIAL_SETUP |  |
CAMEL_STORE_IS_BUILTIN |  |

### enum CamelStoreGetFolderInfoFlags

#### Members

CAMEL_STORE_FOLDER_INFO_FAST |  |
CAMEL_STORE_FOLDER_INFO_RECURSIVE |  |
CAMEL_STORE_FOLDER_INFO_SUBSCRIBED |  |
CAMEL_STORE_FOLDER_INFO_NO_VIRTUAL | Do not include virtual trash or junk folders. |
CAMEL_STORE_FOLDER_INFO_SUBSCRIPTION_LIST | Fetch only the subscription list. Clients should use this flag for requesting the list of folders available for subscription. Used in Exchange / IMAP connectors for public folder fetching. |
CAMEL_STORE_FOLDER_INFO_REFRESH | Treat this call as a request to refresh the folder summary; for remote accounts it can be to re-fetch fresh folder content from the server and update the local cache. |

### enum CamelStorePermissionFlags

#### Members

CAMEL_STORE_READ |  |
CAMEL_STORE_WRITE |  |

### enum CamelTransferEncoding

#### Members

CAMEL_TRANSFER_ENCODING_DEFAULT |  |
CAMEL_TRANSFER_ENCODING_7BIT |  |
CAMEL_TRANSFER_ENCODING_8BIT |  |
CAMEL_TRANSFER_ENCODING_BASE64 |  |
CAMEL_TRANSFER_ENCODING_QUOTEDPRINTABLE |  |
CAMEL_TRANSFER_ENCODING_BINARY |  |
CAMEL_TRANSFER_ENCODING_UUENCODE |  |
CAMEL_TRANSFER_NUM_ENCODINGS |  |

### enum CamelThreeState

Describes a three-state value, which can be either Off, On or Inconsistent.

#### Members

CAMEL_THREE_STATE_OFF | the three-state value is Off |
CAMEL_THREE_STATE_ON | the three-state value is On |
CAMEL_THREE_STATE_INCONSISTENT | the three-state value is neither On, nor Off |

Since: 3.22

### enum CamelCompareType

Declares the compare type to use.

#### Members

CAMEL_COMPARE_CASE_INSENSITIVE | compare case insensitively |
CAMEL_COMPARE_CASE_SENSITIVE | compare case sensitively |

Since: 3.24

### enum CamelTimeUnit

Declares time unit, which serves to interpret the time value, like in CamelOfflineSettings.

#### Members

CAMEL_TIME_UNIT_DAYS | days |
CAMEL_TIME_UNIT_WEEKS | weeks |
CAMEL_TIME_UNIT_MONTHS | months |
CAMEL_TIME_UNIT_YEARS | years |

Since: 3.24

### enum CamelGpgTrust

GPG key trust levels.

#### Members

CAMEL_GPG_TRUST_NONE | no trust set |
CAMEL_GPG_TRUST_UNKNOWN | unknown trust level |
CAMEL_GPG_TRUST_NEVER | never trust the key |
CAMEL_GPG_TRUST_MARGINAL | marginally trust the key |
CAMEL_GPG_TRUST_FULL | fully trust the key |
CAMEL_GPG_TRUST_ULTIMATE | ultimately trust the key |

Since: 3.50